Skip to main content
GET
/
api
/
v3
/
store
/
customer
/
gift_cards
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const giftCards = await client.store.customer.giftCards.list({}, {
  bearerToken: '<token>',
})
{
  "data": [
    {
      "id": "gc_UkLWZg9DAJ",
      "code": "E0EBCDF3A7EF85FE",
      "state": "active",
      "currency": "USD",
      "amount": "10.0",
      "amount_used": "0.0",
      "amount_authorized": "0.0",
      "amount_remaining": "10.0",
      "display_amount": "$10.00",
      "display_amount_used": "$0.00",
      "display_amount_remaining": "$10.00",
      "expires_at": null,
      "redeemed_at": null,
      "expired": false,
      "active": true,
      "created_at": "2026-03-04T21:02:11.770Z",
      "updated_at": "2026-03-04T21:02:11.770Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer

Response

gift cards found

data
object[]
meta
object